<?php
/**
* @version 1.0.3
* @author Daniel Ecer
* @package exmenu_1.0.3
* @copyright (C) 2005-2006 Daniel Ecer (de.siteof.de)
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

// no direct access
if (!defined('EXTENDED_MENU_HOME')) {
	die('Restricted access');
}

/**
 * @since 1.0.0
 */
class ExtendedMenuLoaderFactory {
	
	function &getNewMenuLoader($type) {
		
		
		require_once(EXTENDED_MENU_HOME.DS.'util'.DS.'databasehelper.class.php');
		require_once(EXTENDED_MENU_HOME.DS.'loader'.DS.'menucache.class.php');
		require_once(EXTENDED_MENU_HOME.DS.'loader'.DS.'menuloader.class.php');
		switch($type) {
			case 'section':
				require_once(EXTENDED_MENU_HOME.DS.'loader'.DS.'section.menuloader.class.php');
				$menuLoader						=& new SectionExtendedMenuLoader();
				break;
			case 'category':
				require_once(EXTENDED_MENU_HOME.DS.'loader'.DS.'category.menuloader.class.php');
				$menuLoader						=& new CategoryExtendedMenuLoader();
				break;
			case 'content_item':
				require_once(EXTENDED_MENU_HOME.DS.'loader'.DS.'contentitem.menuloader.class.php');
				$menuLoader						=& new ContentItemExtendedMenuLoader();
				break;
			case 'menu_auto_expanded':
				require_once(EXTENDED_MENU_HOME.DS.'loader'.DS.'autoexpandedmenu.menuloader.class.php');
				$menuLoader						=& new AutoExpandedExtendedMenuLoader();
				break;
			case 'plugin':
				require_once(EXTENDED_MENU_HOME.DS.'loader'.DS.'plugin.menuloader.class.php');
				$menuLoader						=& new PluginExtendedMenuLoader();
				break;
			default:
				require_once(EXTENDED_MENU_HOME.DS.'loader'.DS.'menu.menuloader.class.php');
				$menuLoader						=& new ExtendedMenuLoader();
		}
		return $menuLoader;
	}
}

?>